# Poco::Util

# class MapConfiguration

Library: Util
Package: Configuration
Header: Poco/Util/MapConfiguration.h

## Description

An implementation of AbstractConfiguration that stores configuration data in a map.

## Inheritance

Direct Base Classes: AbstractConfiguration

All Base Classes: Poco::RefCountedObject, AbstractConfiguration

Known Derived Classes: PropertyFileConfiguration

## Member Summary

Member Functions: begin, clear, end, enumerate, getRaw, setRaw

Inherited Functions: createView, duplicate, enumerate, expand, getBool, getDouble, getInt, getRaw, getRawString, getString, hasOption, hasProperty, keys, parseBool, parseInt, referenceCount, release, setBool, setDouble, setInt, setRaw, setString

## Types

### StringMap

typedef std::map < std::string, std::string > StringMap;

### iterator

typedef StringMap::const_iterator iterator;

## Constructors

### MapConfiguration

MapConfiguration();

Creates an empty MapConfiguration.

## Destructor

### ~MapConfiguration

~MapConfiguration();

## Member Functions

### clear

void clear();

Clears the configuration.

### begin

iterator begin() const;

### end

iterator end() const;

### enumerate

void enumerate(
const std::string & key,
Keys & range
) const;

See also: Poco::Util::AbstractConfiguration::enumerate()

### getRaw

bool getRaw(
const std::string & key,
std::string & value
) const;

See also: Poco::Util::AbstractConfiguration::getRaw()

### setRaw

void setRaw(
const std::string & key,
const std::string & value
);

See also: Poco::Util::AbstractConfiguration::setRaw()